While the weather of Valheim is very beautiful, very dense mist or snowstorms can sometimes get annoying or even lead to a headaches, if you are trying to stare through obstacles for hours. While there are mods to disable mist and rain, I know of none that actually lets you configure them. Until now.

If installed with the default config, this mod will:
- Slighly increase likelyhood of clear weather, reducing lighelyhood of very bad weather. Ocean excluded as bad weather is good for wind. Also excluding the single weather biomes Swamp, Mistlands and Ashlands obviously.
- Decreases the density of "Misty" weather used in Meadows (rare), Plains and Ocean.


Possible config options (config/WeatherTweaks.cfg):
- For each biome and each environment possible in that biomes, weights can be arbitrarily set. This includes disabling an environment by setting the weight to zero.
- For each environment (that may be used in multiple biomes as decided by the base game):
    - Fog density. Valheim splits this into 4 different values according to the time of day. Reasonable values are 0.003 (clear) to 0.15 (very misty). 1 would mean seeing nothign anymore
    - Light intensity. Split into day and night.
    - Rain cloud visibility.
    - Sun angle. Normally used in Valheim just to get lower sun in Deep North.
    - Wind speed: Min and Max.
    - Booleans:
        - Always dark.
        - Is cold (always and just at night).
        - Is freezing  (always and just at night).
        - Is wet.
        - Particle systems only active outside.
- One can further globally modify the amount of fog with a multiplier.
- The default value from the un-modded game is given as a comment in the config file.
- If you want to start with a clear vanilla config and modify it yourself, delete the config file and start the game (including logging in). This will create a config file with the vanilla values.
- It is possible to load changed settings while in-game using the console command "weathertweaks reload".
- If using 'Configuration Manager' most settings will only be applied and saved to config after using the console command "weathertweaks apply".

It is currently not possible to change the particle systems as their configuration seems to be significantly more complicated. You can turn off particle systems you don't like using the weights of their environment though. I think some minor amount of mist is actually created using a particle system. These will not be affected by the fog density settings.
